Aller au contenu

Rechercher dans la communauté

Affichage des résultats pour les étiquettes 'fing'.



Plus d’options de recherche

  • Rechercher par étiquettes

    Saisir les étiquettes en les séparant par une virgule.
  • Rechercher par auteur

Type du contenu


Forums

  • Bienvenue
    • Nouveau ? Présentez-vous
    • Le bistrot
    • Mon installation domotique
    • Annonces et suggestions
  • La Home Center et ses périphériques
    • La Home Center pour les nuls
    • HC 2 & Lite
    • HC 3
    • Modules Fibaro
    • Modules Z-wave
    • Périphériques et matériels autres
    • Plugins
    • Quick App
    • Multimédia (audio, vidéo ...)
    • Chauffage et Energie
    • Actionneurs & Ouvrants (Portail, volets, piscines, ...)
    • Eclairage
    • Applications Smartphones et Tablettes
  • Autres solutions domotiques
    • Box / Logiciel
    • Modules Nice (433 & 866 MHz)
    • Modules Zigbee
    • GCE Electronics
    • Modules Bluetooth Low Energy
  • Objets connectés
    • Les Assistants Vocaux
    • Netatmo
    • Philips Hue
    • DIY (Do It Yoursel)
  • Sécurité
    • Alarmes
    • Caméras
    • Portiers
    • Serrures
  • Informatique / Réseau
    • Tutoriels
    • Matériels Réseaux
    • Matériels Informatique
    • NAS
    • Virtualisation
  • Les bonnes affaires
    • Sites internet
    • Petites annonces

Rechercher les résultats dans…

Rechercher les résultats qui…


Date de création

  • Début

    Fin


Dernière mise à jour

  • Début

    Fin


Filtrer par nombre de…

Inscription

  • Début

    Fin


Groupe


Jabber


Skype


Ville :


Intéret :


Version

1 résultat trouvé

  1. Bonjour a tous, Ci-dessous un petit tuto afin de detecter si vous êtes chez vous ou non, le principe repose comme d'autres tutos sur la connection du smartphone sur le wifi. Il n'y a nul besoin d'avoir une application installé sur le téléphone. J'ai réalisé des tests avec un smartphone android et iphone4 sous IOS8 Fonctions: 1) Identifier si le ou les smartphones se connectent au réseau wifi. 2) Renseigner une variable de la HC2 sur "Absent" ou "Present". 3) A partir des états des variables pouvoir lancer des scènes. Prérequis: - Linux (genre un raspberry ou ubuntu), fonctionne également sur syno avec la nouvelle fonction docker - Smartphone android ou iphone - une HC2 Remerciements: Merci a sebcbien pour ses icons et ses idées: son post ici Merci a Tony270570 pour son tuto, la plupart de ce tuto a été un "copier/coller" du sien: son post ici Actions a réaliser sur la HC2: 1/ Créer un variable prédéfini avec le nom de votre choix (ex: presence_vince) avec 2 valeurs, Les majuscules sont importantes: - Absent - Present 2/ Ajouter les icones joint a ce post 3/ Créer un virtual device avec le fichier joint a ce post. Modifier dans le main loop les infos suivantes: - Modifier le nom de la variable que vous avez défini ci-dessus. - Modifier le numéro de l'icone pour la fonction "present" et "absent". Actions a réaliser sur le server linux: Télécharger l'application ici wget http://www.overlooksoft.com/getfing4arm Installer fing sudo dpkg -i overlook-fing-2.2.deb Installer les librairies complémentaires sudo apt-get install libpcap* Créer le répertoire hébergent le script sudo mkdir /home/hc2 Création du script de test de connexion wifi et le paramétrer Créer le fichier sudo nano test_presence_vince.sh vous pouvez biensur remplacer le nom du script, il n'a aucune importance mis a part s'y retrouver copier le script ci-dessous dans le fichier #!/bin/bash # Script check IP and update HC2 global variable # Never ending loop # version 1.00 # Author: byackee # Original Author: Tony270570 nomvariable="Presence_vince" login="admin" password="votre mot de passe" hc2ip="192.168.0.3" while : do grep -n "<center>UP</TD><TD>192.168.2.83" /var/www/ping/lan.html if [ $? -eq 0 ] then curl -s -X PUT -d '{"value": "Present"}' http://$login:$password@$hc2ip/api/globalVariables/$nomvariable echo "present" sleep 10 else curl -s -X PUT -d '{"value": "Absent"}' http://$login:$password@$hc2ip/api/globalVariables/$nomvariable echo "absent" sleep 10 fi done Il faut modifier les variables en début de script: nomvariable ==> nom de la variable créé sur la HC2 login ==> login de la HC2 password ==> mot de pass de la HC2 hc2ip ==> adresse ip de la HC2 lancer la commande suivante: sudo chmod 755 « test_presence_vince Les opérations ci-dessus peuvent etre réalisées autant de fois que de personnes/smartphones a tester Créer un script pour le lancement des scripts au boot Créer le fichier sudo nano exec_presence Copier le code suivant dans le fichier #! /bin/sh ### BEGIN INIT INFO # Provides: exec_presence # Required-Start: $all # Required-Stop: # Default-Start: 2 3 4 5 # Default-Stop: # Short-Description: Run /home/HC2/test_presence if it exist ### END INIT INFO # version 1.00 # Author: byackee # Original Author: Tony270570 PATH=/sbin:/usr/sbin:/bin:/usr/bin . /lib/init/vars.sh . /lib/lsb/init-functions scriptpath="/home/hc2/" do_start() { for i in $scriptpath"/"* ; do echo "lancement du script: "$i $i & sleep 2 done } case "$1" in start) do_start ;; restart|reload|force-reload) echo "Error: argument '$1' not supported" >&2 exit 3 ;; stop) ;; *) echo "Usage: $0 start|stop" >&2 exit 3 ;; esac donner les droits et l'autorisation de lancement du script au démarrage sudo chmod 755 exec_presence update-rc.d -f exec_presence defaults 7/ créer un script de demarrage de fing Créer le fichier sudo nano startfing et y copier le code suivant #! /bin/sh ### BEGIN INIT INFO # Provides: startfing # Required-Start: $all # Required-Stop: # Default-Start: 2 3 4 5 # Default-Stop: # Short-Description: Run fing with unlimited loop ### END INIT INFO # version 1.00 # Author: byackee # Original Author: Tony270570 PATH=/sbin:/usr/sbin:/bin:/usr/bin . /lib/init/vars.sh . /lib/lsb/init-functions do_start() { fing -n 192.168.2.0/24 -o table,html,/var/www/ping/lan.html & } case "$1" in start) do_start ;; restart|reload|force-reload) echo "Error: argument '$1' not supported" >&2 exit 3 ;; esac Il faut simplement modifier l'adresse IP de votre reseau. donner les droits et l'autorisation de lancement du script au démarrage sudo chmod 755 startfing update-rc.d -f startfing defaults Voila maintenant votre/vos smartphone sont détectés lors de la connexion au wifi. Le délai peut varié mais il est en générale de 20 a 30s. icons: Presence_So.vfib
×